Show / Hide Table of Contents

# Class OpenIddictRequest

Represents a generic OpenIddict request.

##### Inheritance

System.Object
OpenIddictMessage
OpenIddictRequest

##### Inherited Members

OpenIddictMessage.Item[String]
OpenIddictMessage.Count
OpenIddictMessage.Parameters
OpenIddictMessage.AddParameter(String, OpenIddictParameter)
OpenIddictMessage.GetParameter(String)
OpenIddictMessage.GetParameters()
OpenIddictMessage.HasParameter(String)
OpenIddictMessage.RemoveParameter(String)
OpenIddictMessage.SetParameter(String, Nullable<OpenIddictParameter>)
OpenIddictMessage.TryGetParameter(String, OpenIddictParameter)
OpenIddictMessage.ToString()
OpenIddictMessage.WriteTo(Utf8JsonWriter)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Abstractions

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictRequest : OpenIddictMessage

##### Remarks

Security notice: developers instantiating this type are responsible of ensuring that the imported parameters are safe and won't cause the resulting message to grow abnormally, which may result in an excessive memory consumption and a potential denial of service.

### Constructors

#### OpenIddictRequest()

Initializes a new OpenIddict request.

##### Declaration

    public OpenIddictRequest()

#### OpenIddictRequest(IEnumerable<KeyValuePair<String, OpenIddictParameter>>)

Initializes a new OpenIddict request.

##### Declaration

    public OpenIddictRequest(IEnumerable<KeyValuePair<string, OpenIddictParameter>> parameters)

##### Parameters

Type | Name | Description
--- | --- | ---
IEnumerable<KeyValuePair<System.String, OpenIddictParameter>> | parameters | The request parameters.

##### Remarks

Parameters with a null or empty key are always ignored.

#### OpenIddictRequest(IEnumerable<KeyValuePair<String, StringValues>>)

Initializes a new OpenIddict request.

##### Declaration

    public OpenIddictRequest(IEnumerable<KeyValuePair<string, StringValues>> parameters)

##### Parameters

Type | Name | Description
--- | --- | ---
IEnumerable<KeyValuePair<System.String, StringValues>> | parameters | The request parameters.

##### Remarks

Parameters with a null or empty key are always ignored.

#### OpenIddictRequest(IEnumerable<KeyValuePair<String, String[]>>)

Initializes a new OpenIddict request.

##### Declaration

    public OpenIddictRequest(IEnumerable<KeyValuePair<string, string[]>> parameters)

##### Parameters

Type | Name | Description
--- | --- | ---
IEnumerable<KeyValuePair<System.String, System.String[]>> | parameters | The request parameters.

##### Remarks

Parameters with a null or empty key are always ignored.

#### OpenIddictRequest(IEnumerable<KeyValuePair<String, String>>)

Initializes a new OpenIddict request.

##### Declaration

    public OpenIddictRequest(IEnumerable<KeyValuePair<string, string>> parameters)

##### Parameters

Type | Name | Description
--- | --- | ---
IEnumerable<KeyValuePair<System.String, System.String>> | parameters | The request parameters.

##### Remarks

Parameters with a null or empty key are always ignored.

#### OpenIddictRequest(JsonElement)

Initializes a new OpenIddict request.

##### Declaration

    public OpenIddictRequest(JsonElement parameters)

##### Parameters

Type | Name | Description
--- | --- | ---
JsonElement | parameters | The request parameters.

##### Remarks

Parameters with a null or empty key are always ignored.

### Properties

#### AccessToken

Gets or sets the "access_token" parameter.

##### Declaration

    public string AccessToken { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### AcrValues

Gets or sets the "acr_values" parameter.

##### Declaration

    public string AcrValues { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Assertion

Gets or sets the "assertion" parameter.

##### Declaration

    public string Assertion { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Audiences

Gets or sets the "audience" parameters.

##### Declaration

    public string[] Audiences { get; set; }

##### Property Value

Type | Description
--- | ---
System.String[] |

#### Claims

Gets or sets the "claims" parameter.

##### Declaration

    public JsonElement Claims { get; set; }

##### Property Value

Type | Description
--- | ---
JsonElement |

#### ClaimsLocales

Gets or sets the "claims_locales" parameter.

##### Declaration

    public string ClaimsLocales { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### ClientAssertion

Gets or sets the "client_assertion" parameter.

##### Declaration

    public string ClientAssertion { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### ClientAssertionType

Gets or sets the "client_assertion_type" parameter.

##### Declaration

    public string ClientAssertionType { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### ClientId

Gets or sets the "client_id" parameter.

##### Declaration

    public string ClientId { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### ClientSecret

Gets or sets the "client_secret" parameter.

##### Declaration

    public string ClientSecret { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Code

Gets or sets the "code" parameter.

##### Declaration

    public string Code { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### CodeChallenge

Gets or sets the "code_challenge" parameter.

##### Declaration

    public string CodeChallenge { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### CodeChallengeMethod

Gets or sets the "code_challenge_method" parameter.

##### Declaration

    public string CodeChallengeMethod { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### CodeVerifier

Gets or sets the "code_verifier" parameter.

##### Declaration

    public string CodeVerifier { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### DeviceCode

Gets or sets the "device_code" parameter.

##### Declaration

    public string DeviceCode { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Display

Gets or sets the "display" parameter.

##### Declaration

    public string Display { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### GrantType

Gets or sets the "grant_type" parameter.

##### Declaration

    public string GrantType { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### IdentityProvider

Gets or sets the "identity_provider" parameter.

##### Declaration

    public string IdentityProvider { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### IdTokenHint

Gets or sets the "id_token_hint" parameter.

##### Declaration

    public string IdTokenHint { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### LoginHint

Gets or sets the "login_hint" parameter.

##### Declaration

    public string LoginHint { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### MaxAge

Gets or sets the "max_age" parameter.

##### Declaration

    public long? MaxAge { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int64> |

#### Nonce

Gets or sets the "nonce" parameter.

##### Declaration

    public string Nonce { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Password

Gets or sets the "password" parameter.

##### Declaration

    public string Password { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### PostLogoutRedirectUri

Gets or sets the "post_logout_redirect_uri" parameter.

##### Declaration

    public string PostLogoutRedirectUri { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Prompt

Gets or sets the "prompt" parameter.

##### Declaration

    public string Prompt { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### RedirectUri

Gets or sets the "redirect_uri" parameter.

##### Declaration

    public string RedirectUri { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### RefreshToken

Gets or sets the "refresh_token" parameter.

##### Declaration

    public string RefreshToken { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Registration

Gets or sets the "registration" parameter.

##### Declaration

    public JsonElement Registration { get; set; }

##### Property Value

Type | Description
--- | ---
JsonElement |

#### Request

Gets or sets the "request" parameter.

##### Declaration

    public string Request { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### RequestId

Gets or sets the "request_id" parameter.

##### Declaration

    public string RequestId { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### RequestUri

Gets or sets the "request_uri" parameter.

##### Declaration

    public string RequestUri { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Resources

Gets or sets the "resource" parameters.

##### Declaration

    public string[] Resources { get; set; }

##### Property Value

Type | Description
--- | ---
System.String[] |

#### ResponseMode

Gets or sets the "response_mode" parameter.

##### Declaration

    public string ResponseMode { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### ResponseType

Gets or sets the "response_type" parameter.

##### Declaration

    public string ResponseType { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Scope

Gets or sets the "scope" parameter.

##### Declaration

    public string Scope { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### State

Gets or sets the "state" parameter.

##### Declaration

    public string State { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Token

Gets or sets the "token" parameter.

##### Declaration

    public string Token { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### TokenTypeHint

Gets or sets the "token_type_hint" parameter.

##### Declaration

    public string TokenTypeHint { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### UiLocales

Gets or sets the "ui_locales" parameter.

##### Declaration

    public string UiLocales { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### UserCode

Gets or sets the "user_code" parameter.

##### Declaration

    public string UserCode { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Username

Gets or sets the "username" parameter.

##### Declaration

    public string Username { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |